/Users/bernard/b20/bsoft/src/bdelta.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bdelta.cpp - Generating a deltagraph with minimal input parameters.

SYNOPSIS

#include 'rwmodel.h'
#include 'model_poly.h'
#include 'model_poly_delta.h'
#include 'model_transform.h'
#include 'model_links.h'
#include 'model_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Generating a deltagraph with minimal input parameters.

Author:
    Bernard Heymann

Date:
    Created: 20080103

    Modified: 20180327

Definition in file bdelta.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 54 of file bdelta.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bdelta [options] in.star [in2.star ...]",
"----------------------------------------------",
"Generates and analyzes deltagraphs.",
"The creation options are mutually exclusive.",
" ",
"Actions:",
"-pentagonal              Create a pentagonal deltagraph.",
"-hexagonal               Create a hexagonal deltagraph.",
"-tube 8,3                Create a tubular deltagraph with the given lattice parameters.",
"-caps 2                  Add 1 or 2 caps.",
"-dual                    Calculate the dual of a polyhedron.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-componentradius 0.5     Component display radius.",
"-linkradius 0.5          Link display radius.",
"-linklength 150          Link length (default 1).",
"-radius 3                Radius in integer units (default 1).",
"-height 5                Height in integer units (default 1).",
" ",
"Input:",
"-parameters param.star   Input parameter file.",
" ",
"Output:",
"-output file.star        Output model parameter file.",
" ",
NULL
}

Definition at line 23 of file bdelta.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.